## yorick-yao 4.2.6

=== Makefile ===
--- 
+++ 
@@ -91,7 +91,8 @@
 	cp -pr doc $(DEST_Y_SITE)/share/yao/
 	-rm -rf $(DEST_Y_SITE)/share/yao/examples/CVS
 	-rm -rf $(DEST_Y_SITE)/share/yao/doc/CVS
-#	cp -p doc/yao.1.gz /usr/local/man/man1/
+#	gzip -9 doc/yao.1
+#	cp -p doc/yao.1 /usr/local/man/man1/
 
 uninstall::
 	-rm $(DEST_Y_BINDIR)/yao
@@ -102,7 +103,7 @@
 	-rm $(DEST_Y_SITE)/python/yao.py
 	-rm $(DEST_Y_SITE)/glade/yao.glade
 	-rm -rf $(DEST_Y_SITE)/share/yao/
-#	-rm -rf /usr/local/man/man1/yao.1.gz
+#	-rm -rf /usr/local/man/man1/yao.1
 
 # -------------------------------------------------------- end of Makefile
