## yorick-yao 4.5.1

=== Makefile ===
--- 
+++ 
@@ -1,9 +1,9 @@
 # these values filled in by    yorick -batch make.i
-Y_MAKEDIR=/Users/frigaut/yorick-2.1
-Y_EXE=/Users/frigaut/yorick-2.1/bin/yorick
+Y_MAKEDIR=/usr/lib/yorick/2.1
+Y_EXE=/usr/lib/yorick/2.1/bin/yorick
 Y_EXE_PKGS=
-Y_EXE_HOME=/Users/frigaut/yorick-2.1
-Y_EXE_SITE=/Users/frigaut/yorick-2.1
+Y_EXE_HOME=/usr/lib/yorick/2.1
+Y_EXE_SITE=/usr/share/yorick/2.1
 
 # ----------------------------------------------------- optimization flags
 
@@ -108,7 +108,7 @@
 
 
 # for the binary package production (add full path to lib*.a below):
-PKG_DEPLIBS_STATIC=-lm /usr/local/lib/libfftw3f.a
+PKG_DEPLIBS_STATIC=-lm /usr/lib/libfftw3f.a
 PKG_ARCH = $(OSTYPE)-$(MACHTYPE)
 # The above usually don t work. Edit manually and change the PKG_ARCH below:
 # PKG_ARCH = linux-x86
