=== debian/changelog ===
yorick-yao (4.5.1-1) unstable; urgency=low

  * New upstream release
  * Move to science section

 -- Thibaut Paumard <paumard@users.sourceforge.net>  Tue, 20 Apr 2010 23:07:28 +0200

yorick-yao (4.5.0-2) unstable; urgency=low

  * convert to "3.0 (quilt) format
  * remove "round" function, make sure long(round()) is used when needed.

 -- Thibaut Paumard <paumard@users.sourceforge.net>  Tue, 06 Apr 2010 18:56:09 +0200

yorick-yao (4.5.0-1) unstable; urgency=low

  * New upstream release (Closes: #556524).
  * Checked against policy 3.8.3
  * Include HTML and PDF documentation
  * Use quilt for patching doc

 -- Thibaut Paumard <paumard@users.sourceforge.net>  Mon, 16 Nov 2009 17:02:22 +0100

yorick-yao (4.2.6-1) unstable; urgency=low

  * New upstream release
  * Checked against policy 3.8.1
  * Added watch file

 -- Thibaut Paumard <paumard@users.sourceforge.net>  Wed, 13 May 2009 17:42:35 +0200

yorick-yao (4.2.3-1) unstable; urgency=low

  * Initial release (closes: #460053).

 -- Thibaut Paumard <paumard@users.sourceforge.net>  Wed, 16 Jan 2008 18:25:42 +0100
