=== debian/control ===
Source: yorick-yao
Section: science
Priority: optional
Maintainer: Thibaut Paumard <paumard@users.sourceforge.net>
Build-Depends: debhelper (>= 5.0.0), yorick-dev (>= 2.1.05), libfftw3-dev, quilt
Standards-Version: 3.8.4
Homepage: http://www.maumae.net/yao/
DM-Upload-Allowed: yes

Package: yorick-yao
Architecture: any
Depends: yorick (>= 2.1.05), ${shlibs:Depends}, ${misc:Depends}, yorick-imutil (>= 0.5.3), yorick-yutils (>= 1.3.0), python-glade2, python
Description: a Yorick-based adaptive optics system simulator
 Yao is a monte-carlo simulation package for adaptive optics. It can
 be used stand-alone through a GTK-based integrated graphical user
 interface or as a Yorick language extension. Yao features:
   * Shack-Hartmann and Curvature WFS, on or off axis;
   * support for Stackarray (piezostack), curvature (bimorph), modal
     (zernike) and Tip-Tilt deformable mirrors. The altitude of
     conjugation is adjustable;
   * arbitrary number of WFSs and DMs, with the possibility of mixing
     types. It is therefore possible (and easy) to simulate single DM
     systems, as well as single non-zero conjugate, GLAO and MCAO
     systems;
   * support for Natural and Laser Guide Stars (or a mix), WFS with
     photon and read-out noise;
   * multi-layered atmospheric model with geometrical propagation
     only;
   * speed-optimized loop: critical routines have been coded in C.
