=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

Makefile.deborig:
	dh_testdir
	cp -a Makefile Makefile.deborig

configure: configure-stamp
configure-stamp: Makefile.deborig
	dh_testdir
	yorick -batch make.i
	touch configure-stamp

build: build-stamp
build-stamp:  configure-stamp
	dh_testdir
	$(MAKE)
	touch build-stamp

# package has to be configured for the upstream distclean target to work
clean: configure-stamp
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	$(MAKE) distclean
	[ ! -e Makefile.deborig ] || mv Makefile.deborig Makefile
	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k

binary-indep: build install

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installyorick --no-make-install
	dh_installchangelogs 
	dh_installexamples
	dh_installmenu
	dh_install
	dh_installdocs
	dh_installman
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
