=== debian/watch ===
version=3
http://www.maumae.net/yorick/packages/src/yao-(.*)-src\.tgz
