## yorick-yao 4.9.1

=== Makefile ===
--- 
+++ 
@@ -1,9 +1,9 @@
 # these values filled in by    yorick -batch make.i
-Y_MAKEDIR=/usr/lib/yorick/2.1
-Y_EXE=/usr/lib/yorick/2.1/bin/yorick
+Y_MAKEDIR=/usr/lib/yorick
+Y_EXE=/usr/lib/yorick/bin/yorick
 Y_EXE_PKGS=
-Y_EXE_HOME=/usr/lib/yorick/2.1
-Y_EXE_SITE=/usr/share/yorick/2.1
+Y_EXE_HOME=/usr/lib/yorick
+Y_EXE_SITE=/usr/lib/yorick
 
 # ----------------------------------------------------- optimization flags
 
@@ -22,9 +22,16 @@
 PKG_EXENAME=yorick
 
 # PKG_DEPLIBS=-Lsomedir -lsomelib   for dependencies of this package
+# PKG_DEPLIBS=-lfftw3f_threads -lfftw3f -lpthread -lm
 PKG_DEPLIBS=-lfftw3f
+# on OSX, use the next command to link to the static version of imutil:
+# PKG_DEPLIBS=-L$(Y_EXE_HOME)/lib -limutil -L/path/to/fftw3_libs -lfftw3f
+
 # set compiler (or rarely loader) flags specific to this package
-PKG_CFLAGS=
+PKG_CFLAGS=-Wall
+# on OSX (or other platforms), you may need to add the path to the
+# fftw3 include files:
+# PKG_CFLAGS=-Wall -I/path/to/fftw3/include
 PKG_LDFLAGS=
 
 # list of additional package names you want in PKG_EXENAME
@@ -37,7 +44,7 @@
 # autoload file for this package, if any
 PKG_I_START=
 # non-pkg.i include files for this package, if any
-PKG_I_EXTRA=yao.i aoutil.i yaokl.i newfits.i yao_util.i turbulence.i yao_gui.i yaopy.i yao_wfs.i yao_structures.i yao_dm.i
+PKG_I_EXTRA=yao.i aoutil.i yaokl.i yao_newfits.i yao_util.i turbulence.i yao_gui.i yaopy.i yao_wfs.i yao_structures.i yao_dm.i yao_svipc.i yao_setnsync.i yaodh.i
 
 # -------------------------------- standard targets and rules (in Makepkg)
 
@@ -74,6 +81,7 @@
 install::
 	mkdir -p $(DEST_Y_SITE)/python
 	mkdir -p $(DEST_Y_SITE)/glade
+	mkdir -p $(DEST_Y_SITE)/data
 	mkdir -p $(DEST_Y_SITE)/g
 	mkdir -p $(DEST_Y_SITE)/gist
 	mkdir -p $(DEST_Y_SITE)/share/yao
@@ -81,9 +89,10 @@
 #	mkdir -p /usr/local/man/man1
 	cp -p yao.py $(DEST_Y_SITE)/python/
 	cp -p yao.glade $(DEST_Y_SITE)/glade/
-	cp -p aosimul3.gs $(DEST_Y_SITE)/g/
+	cp -p besseljprimezeros200.fits $(DEST_Y_SITE)/data/
+	cp -p yao.gs $(DEST_Y_SITE)/g/
 	cp -p letter.gs $(DEST_Y_SITE)/g/
-	cp -p aosimul3.gs $(DEST_Y_SITE)/gist/
+	cp -p yao.gs $(DEST_Y_SITE)/gist/
 	cp -p letter.gs $(DEST_Y_SITE)/gist/
 	cp -p yao $(DEST_Y_BINDIR)/
 	cp -pr examples $(DEST_Y_SITE)/share/yao/
@@ -95,9 +104,9 @@
 
 uninstall::
 	-rm $(DEST_Y_BINDIR)/yao
-	-rm $(DEST_Y_SITE)/g/aosimul3.gs
+	-rm $(DEST_Y_SITE)/g/yao.gs
 	-rm $(DEST_Y_SITE)/g/letter.gs
-	-rm $(DEST_Y_SITE)/gist/aosimul3.gs
+	-rm $(DEST_Y_SITE)/gist/yao.gs
 	-rm $(DEST_Y_SITE)/gist/letter.gs
 	-rm $(DEST_Y_SITE)/python/yao.py
 	-rm $(DEST_Y_SITE)/glade/yao.glade
@@ -163,7 +172,7 @@
 
 distsrc:
 	make clean; rm -rf binaries
-	cd ..; tar --exclude binaries --exclude CVS --exclude *.spec -zcvf \
+	cd ..; tar --exclude binaries --exclude CVS --exclude .svn --exclude *.spec -zcvf \
 	   $(PKG_NAME)-$(PKG_VERSION)-src.tgz yorick-$(PKG_NAME)-$(PKG_VERSION);\
 	ncftpput -f $(HOME)/.ncftp/maumae www/yorick/$(PKG_DEST_URL)/src/ \
 	   $(PKG_NAME)-$(PKG_VERSION)-src.tgz
