=== debian/changelog ===
yorick-yao (4.9.1-2) unstable; urgency=low

  * Fortify (don't rely on Yorick to pass the right flags)

 -- Thibaut Paumard <paumard@users.sourceforge.net>  Thu, 28 Jun 2012 16:52:01 +0200

yorick-yao (4.9.1-1) unstable; urgency=low

  * New upstream release
  * Comply with Debian Science Policy
  * Configure by patching Makefile
  * Minimize rules

 -- Thibaut Paumard <paumard@users.sourceforge.net>  Wed, 27 Jun 2012 17:45:49 +0200

yorick-yao (4.9.0-1) unstable; urgency=low

  * New upstream release
  * Minor lintian-suggested fixes (bump standards version: 3.9.3)

 -- Thibaut Paumard <paumard@users.sourceforge.net>  Sun, 01 Apr 2012 14:54:34 +0200

yorick-yao (4.8.2-1) unstable; urgency=low

  * New upstream release

 -- Thibaut Paumard <paumard@users.sourceforge.net>  Sat, 31 Mar 2012 23:26:38 +0200
