=== debian/control ===
--- 
+++ 
@@ -1,16 +1,19 @@
 Source: yorick-yao
 Section: science
-Priority: optional
-Maintainer: Thibaut Paumard <paumard@users.sourceforge.net>
-Build-Depends: debhelper (>= 5.0.0), yorick-dev (>= 2.1.05), libfftw3-dev, quilt
-Standards-Version: 3.8.4
+Priority: extra
+Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Uploaders: Thibaut Paumard <paumard@users.sourceforge.net>
+Build-Depends: debhelper (>= 7.0.50~), yorick-dev (>= 2.1.05), libfftw3-dev, quilt
+Standards-Version: 3.9.3
 Homepage: http://www.maumae.net/yao/
+Vcs-Git: git://git.debian.org/git/debian-science/packages/yorick-yao.git
+Vcs-Browser: http://git.debian.org/?p=debian-science/packages/yorick-yao.git
 DM-Upload-Allowed: yes
 
 Package: yorick-yao
 Architecture: any
 Depends: yorick (>= 2.1.05), ${shlibs:Depends}, ${misc:Depends}, yorick-imutil (>= 0.5.3), yorick-yutils (>= 1.3.0), python-glade2, python
-Description: a Yorick-based adaptive optics system simulator
+Description: Yorick-based adaptive optics system simulator
  Yao is a monte-carlo simulation package for adaptive optics. It can
  be used stand-alone through a GTK-based integrated graphical user
  interface or as a Yorick language extension. Yao features:
