=== debian/watch ===
version=3
https://github.com/frigaut/yao/tags .*/tarball/(\d[\d\.]+)
