## yorick-yao 5.3.1

=== debian/changelog ===
yorick-yao (5.3.1-1) unstable; urgency=low

  * New upstream release
  * Upgrade Standards-Version to 3.9.5 (no changes)
  * Update control file
  * Patch yao.py to refer explicitly to /usr/bin/python

 -- Thibaut Paumard <thibaut@debian.org>  Wed, 19 Feb 2014 21:50:10 +0100
