=== debian/control ===
--- 
+++ 
@@ -2,13 +2,12 @@
 Section: science
 Priority: extra
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
-Uploaders: Thibaut Paumard <paumard@users.sourceforge.net>
-Build-Depends: debhelper (>= 7.0.50~), yorick-dev (>= 2.1.05), libfftw3-dev, quilt
-Standards-Version: 3.9.3
+Uploaders: Thibaut Paumard <thibaut@debian.org>
+Build-Depends: debhelper (>= 9), yorick-dev (>= 2.1.05), libfftw3-dev
+Standards-Version: 3.9.5
 Homepage: http://www.maumae.net/yao/
-Vcs-Git: git://git.debian.org/git/debian-science/packages/yorick-yao.git
-Vcs-Browser: http://git.debian.org/?p=debian-science/packages/yorick-yao.git
-DM-Upload-Allowed: yes
+Vcs-Git: git://anonscm.debian.org/debian-science/packages/yorick-yao.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/yorick-yao.git
 
 Package: yorick-yao
 Architecture: any
