=== debian/changelog ===
yorick-yao (5.4.0-1) unstable; urgency=low

  * New upstream release
  * Check against Policy 3.9.6
  * Move maintenance to debian-astro

 -- Thibaut Paumard <thibaut@debian.org>  Fri, 03 Oct 2014 11:24:36 +0200
