=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Source: yorick-yao
 Section: science
 Priority: extra
-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Astronomy Maintainers <debian-astro-maintainers@lists.alioth.debian.org>
 Uploaders: Thibaut Paumard <thibaut@debian.org>
 Build-Depends: debhelper (>= 9), yorick-dev (>= 2.1.05), libfftw3-dev
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://www.maumae.net/yao/
-Vcs-Git: git://anonscm.debian.org/debian-science/packages/yorick-yao.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/yorick-yao.git
+Vcs-Git: git://anonscm.debian.org/debian-astro/packages/yorick-yao.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-astro/packages/yorick-yao.git
 
 Package: yorick-yao
 Architecture: any
