=== debian/rules ===
--- 
+++ 
@@ -15,7 +15,10 @@
 	dh_installyorick --no-make-install
 
 override_dh_auto_clean:
-	$(MAKE) Y_MAKEDIR=/usr/lib/yorick Y_EXE=/usr/bin/yorick clean
+	$(MAKE) Y_MAKEDIR=/usr/lib/yorick Y_EXE=/usr/bin/yorick distclean
+
+override_dh_auto_configure: override_dh_auto_clean
+	/usr/lib/yorick/bin/yorick -batch make.i
 
 # disable tests: they take too long, write in $HOME and display on screen.
 # need some time to write reasonable, headless tests.
