=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(.*)\.tar\.gz/yorick-yao-$1.tar.gz/ \
  https://github.com/frigaut/yao/tags .*/v?(\d[\d\.]+)\.tar\.gz
